package info.aspirecn.cloud.yysj.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Value;
import lombok.experimental.Accessors;
import org.elasticsearch.common.recycler.Recycler;

/**
 * 车辆信息，列表查询
 *
 * @author lixinxu
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Car {

    @ApiModelProperty(value = "编号")
    private	String	id;

    @ApiModelProperty(value = "车牌号")
    private	String	carNum;

    @ApiModelProperty(value = "车牌号颜色")
    private	String	carNumColor;

    @ApiModelProperty(value = "车辆类型")
    private	String	carType;

    @ApiModelProperty(value = "行驶证核验, 0: 未核验; 1: 一致; 2: 不一致; 3: 其他")
    private	String	drivingLicenseCheck;

    @ApiModelProperty(value = "运输证核验结果, 0: 未核验; 1: 一致; 2: 不一致; 3: 其他")
    private	String	transportationLicenseCheck;

    @ApiModelProperty(value = "车辆入网核验结果, 0: 未核验; 1: 一致; 2: 不一致; 3: 其他")
    private	String	carIntoTheNetCheck;

    @ApiModelProperty(value = "请求时间")
    private	String	requestTime;
}
